sudo: false

language: node_js

node_js:
- '0.10'
- '0.12'
- '1'
- '2'
- '3'
- '4'
- '5'
- '6'
- '7'

matrix:
  include:
  - node_js: '0.10'
    env: BROWSER_NAME=chrome BROWSER_VERSION=latest
  - node_js: '0.10'
    env: BROWSER_NAME=chrome BROWSER_VERSION=29
  - node_js: '0.10'
    env: BROWSER_NAME=firefox BROWSER_VERSION=latest
  - node_js: '0.10'
    env: BROWSER_NAME=opera BROWSER_VERSION=latest
  - node_js: '0.10'
    env: BROWSER_NAME=safari BROWSER_VERSION=latest
  - node_js: '0.10'
    env: BROWSER_NAME=safari BROWSER_VERSION=7
  - node_js: '0.10'
    env: BROWSER_NAME=safari BROWSER_VERSION=6
  - node_js: '0.10'
    env: BROWSER_NAME=safari BROWSER_VERSION=5
  - node_js: '0.10'
    env: BROWSER_NAME=ie BROWSER_VERSION=11
  - node_js: '0.10'
    env: BROWSER_NAME=ie BROWSER_VERSION=10
  - node_js: '0.10'
    env: BROWSER_NAME=ie BROWSER_VERSION=9